curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Refund\", \"id\": \"refund_test1\", \"vid\": \"cd6f7ffb5338e77fe7a88c4dbb4c6f259516b3bf\", \"created\": \"2023-01-13T12:56:48+00:00\", \"transaction\": { \"object\": \"Transaction\", \"id\": \"cybs00000002\", \"vid\": \"f86a50764335a27658e3724fa12e29bdd01b573b\", \"created\": \"2022-12-20T06:01:24+00:00\", \"amount\": 100, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"test_account1\", \"vid\": \"6a28e020bb6e2cdf33f79270cabe2022b6ace091\", \"created\": \"2022-12-20T06:00:31+00:00\", \"email_type\": \"html\", \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Refunded\", \"created\": \"2023-01-13T12:56:48+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } }, { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-12-21T01:00:53+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" }, \"note\": \"100\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-12-20T06:01:26+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"cvn_code\": \"ACCEPT\", \"auth_approval_code\": \"888888\" }, \"note\": \"100 - NA\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-12-20T06:01:24+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } } ], \"total_count\": 4 }, \"payment_processor\": \"CyberSource\", \"payment_processor_transaction_id\": \"6715844186766174103009\", \"metadata\": { \"vin:paymentNetworkTransactionId\": \"123456789619999\", \"vin:BillingPlanUnit\": \"months\", \"vin:BillingPlanLength\": \"5\", \"vin:paymentProcessorResponseCode\": \"100\", \"vin:pp_auth_response_code\": \"100\", \"vin:RetryNumber\": \"0\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"100.00\", \"provider_trx_id\": \"6715160856826826503010\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"test_billing_plan\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Recurring Charge, Billing Plan test_billing_plan\", \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"test_product\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"test_product\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"test_id2\", \"vid\": \"eee6781b2a217df2cf3262b9d448c33789a18ce0\" }, \"price\": 100, \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"subtotal\": 100, \"total\": 100 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-12-20T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"test_sub2\", \"vid\": \"f62326a0c6dfb9c4924af44500c2116db7a00d0f\", \"status\": \"Active\" }, \"cvn_checked\": true, \"payment_provider_response\": \"Successful: Approved\" }, \"refund_distribution_strategy\": \"None\", \"amount\": 50, \"amount_includes_tax\": false, \"currency\": \"USD\", \"note\": \"Refund REQUEST VIA WEB FLX200001541REF\", \"token_action\": \"None\", \"status\": \"Processing\", \"issued_by\": \"qa_cybersource_soap\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}fetch a specific Refunds
Retrieves a specific Refund. There are two supported methods for an API call:
- Refunds Endpoint
- Transactions Endpoint
Note: Existing merchants can continue using Transactions endpoint. New merchants are encouraged to use Refunds endpoint.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/refunds/{refund}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"Refund\", \"id\": \"refund_test1\", \"vid\": \"cd6f7ffb5338e77fe7a88c4dbb4c6f259516b3bf\", \"created\": \"2023-01-13T12:56:48+00:00\", \"transaction\": { \"object\": \"Transaction\", \"id\": \"cybs00000002\", \"vid\": \"f86a50764335a27658e3724fa12e29bdd01b573b\", \"created\": \"2022-12-20T06:01:24+00:00\", \"amount\": 100, \"currency\": \"USD\", \"account\": { \"object\": \"Account\", \"id\": \"test_account1\", \"vid\": \"6a28e020bb6e2cdf33f79270cabe2022b6ace091\", \"created\": \"2022-12-20T06:00:31+00:00\", \"email_type\": \"html\", \"payment_methods\": { \"object\": \"List\", \"data\": [ { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true } ], \"total_count\": 1 } }, \"source_payment_method\": { \"object\": \"PaymentMethod\", \"vid\": \"c8e62120c26030f35b4260eabd87cca2604dfd8a\", \"created\": \"2022-12-20T06:00:31+00:00\", \"type\": \"CreditCard\", \"credit_card\": { \"object\": \"CreditCard\", \"vid\": \"6524e95aba785dd75c61c9513b4337c6382d63ff\", \"account\": \"411111XXXXXX1111\", \"bin\": \"411111\", \"type\": \"VI\", \"last_digits\": \"1111\", \"account_length\": 16, \"expiration_date\": \"202810\", \"last_au_request_date\": null, \"last_update_date\": null }, \"primary\": true, \"active\": true, \"linked_subscription\": true }, \"status_log\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionStatus\", \"status\": \"Refunded\", \"created\": \"2023-01-13T12:56:48+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } }, { \"object\": \"TransactionStatus\", \"status\": \"Captured\", \"created\": \"2022-12-21T01:00:53+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" }, \"note\": \"100\" }, { \"object\": \"TransactionStatus\", \"status\": \"Authorized\", \"created\": \"2022-12-20T06:01:26+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"cvn_code\": \"ACCEPT\", \"auth_approval_code\": \"888888\" }, \"note\": \"100 - NA\" }, { \"object\": \"TransactionStatus\", \"status\": \"New\", \"created\": \"2022-12-20T06:01:24+00:00\", \"payment_method_type\": \"CreditCard\", \"credit_card_status\": { \"object\": \"TransactionStatusCreditCard\", \"auth_code\": \"100\", \"auth_approval_code\": \"888888\" } } ], \"total_count\": 4 }, \"payment_processor\": \"CyberSource\", \"payment_processor_transaction_id\": \"6715844186766174103009\", \"metadata\": { \"vin:paymentNetworkTransactionId\": \"123456789619999\", \"vin:BillingPlanUnit\": \"months\", \"vin:BillingPlanLength\": \"5\", \"vin:paymentProcessorResponseCode\": \"100\", \"vin:pp_auth_response_code\": \"100\", \"vin:RetryNumber\": \"0\", \"vin:BillingPlanDurationInSeconds\": \"0\", \"vin:BillingCycle\": \"0\", \"vin:FutureAmount\": \"100.00\", \"provider_trx_id\": \"6715160856826826503010\" }, \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"test_billing_plan\", \"index_number\": 1, \"item_type\": \"Purchase\", \"name\": \"Recurring Charge, Billing Plan test_billing_plan\", \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"total\": 0 }, { \"object\": \"TransactionItem\", \"sku\": \"test_product\", \"index_number\": 2, \"item_type\": \"Purchase\", \"name\": \"test_product\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"test_id2\", \"vid\": \"eee6781b2a217df2cf3262b9d448c33789a18ce0\" }, \"price\": 100, \"quantity\": 1, \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"subtotal\": 100, \"total\": 100 }, { \"object\": \"TransactionItem\", \"sku\": \"Total Tax\", \"index_number\": 3, \"item_type\": \"Purchase\", \"name\": \"Total Tax\", \"price\": 0, \"quantity\": 1, \"tax_classification\": \"TaxExempt\", \"service_period_starts\": \"2022-12-20T00:00:00+00:00\", \"service_period_ends\": \"2023-05-19T00:00:00+00:00\", \"tax_type\": \"Exclusive Sales\", \"discount\": 0, \"subtotal\": 0, \"total\": 0 } ], \"total_count\": 3 }, \"subscription_sequence\": 1, \"billing_plan_sequence\": 1, \"original_billing_date\": \"2022-12-20T00:00:00+00:00\", \"billing_attempt\": 0, \"subscription\": { \"object\": \"Subscription\", \"id\": \"test_sub2\", \"vid\": \"f62326a0c6dfb9c4924af44500c2116db7a00d0f\", \"status\": \"Active\" }, \"cvn_checked\": true, \"payment_provider_response\": \"Successful: Approved\" }, \"refund_distribution_strategy\": \"None\", \"amount\": 50, \"amount_includes_tax\": false, \"currency\": \"USD\", \"note\": \"Refund REQUEST VIA WEB FLX200001541REF\", \"token_action\": \"None\", \"status\": \"Processing\", \"issued_by\": \"qa_cybersource_soap\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Refund to retrieve
Response
JSON A full Refund object.
The Refund object provides a way to reverse a charge, refunding money to the customer. You can create, and retrieve individual Refunds; as well as list all existing Refunds. Refunds require a transaction – a refund can only be executed against an existing, successfully captured transaction. Refunds can be issued for any valid amount (in the currency of the original transaction) up to the as-yet un-refunded balance of the original transaction. You can issue any number of refunds on a given transaction (until it has been fully refunded).
Value is “Refund”
Refund A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The date/time at which the refund was requested.
The Transaction object provides a way to charge a customer. You can create one-time transactions, retrieve individual transactions, fetch individual transactions, and list all Transactions for a given account or subscription. Posting with a new Transaction creates a new one-time Transaction object. If “to_be_captured” is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process). If successfully authorized, a subsequent post to the transaction’s actions/capture endpoint will capture the authorized transaction. If you post a new transaction with “to_be_captured” true, it will authorize and immediately capture the transaction if successful. To refund transactions, use the refunds endpoint.
Show child attributes
Show child attributes
For item-level refunds, specifies the transaction items to refund with details.
Show child attributes
Show child attributes
Defines strategy for distributing refund amount across the original TransactionItems. Default is None.
None, SpecifiedItems, RemainingBalance Amount of the refund. Must be positive (non-zero) and less than or equal to the as-yet-un-refunded balance of the specified transaction. Ignored if refundItems are specified.
whether the amount is tax-inclusive or -exclusive
Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.
The metadata field supports key-value pairs with the following limitations:
Keys can be up to 256 characters
Keys can be any string that is needed, except only CashBox can prefix keys with vin:
Values can be up to 1024 characters
In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.
Read-only. Information provided by payment processor.
Free-form CSP-specified notes about refund.
Action to take with any Tokens paid on transaction. Default None.
CancelNegativeBalance, CancelZeroBalance, None The Credit object represents a service credit granted to an account or subscription, taking the form of either currency, token, or time amounts.
Show child attributes
Show child attributes
Processing status of refund.
Complete, Failed, Processing, Reported Refund initiated by

